Subject: DHCP extension

From: "Tak Ng" <[email-masked]>
Date: Wed, 14 Feb 2001 16:40:15 -0000

I am investigating the problem of dynamically allocating multiple IP
addresses to a single MAC. Could anybody tell me whether there is any work
being done in extending DHCP to cater for this? Thanks.

---

From: Ted Lemon <[email-masked]>
Date: Wed, 14 Feb 2001 09:48:28 -0700

> being done in extending DHCP to cater for this? Thanks.

It's no problem - just make up a different client identifier for each
IP address you want, and have a seperate state machine for each
client.   You can see how this is done in the ISC DHCP client if you
are interested - look at the implementation of the "pseudo" statement.

You need the client identifier to be something that's likely to be
unique - I'd suggest using the MAC address followed by a two-byte
interface index, or something like that.

			       _MelloN_